<?php
	include 'editor/ui.php';
	
	echo "<div class='content'>";
	
	?>
	<b>Вкратце:</b><br><br>
	NodeStudio - Визуальная среда программирования и транслятор, 
	спроектированные чтобы максимально упростить и ускорить процесс обучения PHP. 
	Вместо классических схем(которые можно везде встретить в визуальном программировании) 
	используется узловая система(на манер Game Maker), максимально приближенная 
	к написанным "классическим" способом программам. Проще говоря - вы кнопочками создаёте 
	конструкции из доступных компонентов, а транслятор преобразует это в чистый PHP код, 
	не зависящий ни от сторонних VM, ни от каких либо библиотек. 
	Вы получаете готовый код, который можете подключить куда нибудь ещё.
	<br><br>
	
	<b>Краткий мануал по языку:</b><br><br>
	Забегая вперёд, скажу что NodeStudio максимально приближен к классичкому программированию.
	Это всё такие же конструкции, как и в обычном PHP - просто обёрнутые в своеобразные функции - ноды
	которые позволяют вам программировать визуально, таская компоненты.<br><br>
	
	<b>Компонент</b> - одна "команда" в вашей программе, множество таких компонентов образуют готовую программу.
	Комопненты хранятся в специальных <b>библиотеках</b>, которые можно скачать или написать самому(см. создание компонентов).<br><br>
	
	Алгоритм действий прост - вы составляете вашу программу из компонентов, нажимаете "Скомпилировать" и запускаете. Если программа не работает,
	то ищите ошибку <s>в компиляторе</s> в своей программе, и повторяете.<br><br>
	
	Если компонент выделен <span class='red'>красным</span>, значит он блочный, и требует связки компонентов BlockStart и BlockEnd за ним.<br><br>
	
	<span class='green'>Свойство</span> - параметр компонента. Может быть числом, строкой, математическим выражением, другой переменной(с префиксом $)<br>
	<span class='blue'>Ссылка на переменную</span> - название переменной, и только переменной. Используется в компонентах, которые сохраняют результат своей работы($ не требуется)
	<br><br>
	
	<b>Список стандартых компонентов:</b><br><br>
	<b>Include PHP file</b> - Подключить PHP файл, где <span class='green'>Path</span> - имя файла.<br>
	<b>Variable</b> - Задать значение переменной <span class='blue'>Name</span><br>
	<b>Print</b> - Вывести текст <span class='green'>Text</span> на экран<br>
	<b>Execute piece of code</b> - Выполнить PHP код в eval окружении, где <span class='green'>Code</span> - код<br>
	<b>BlockStart</b> - Начать блок<br>
	<b>BlockEnd</b> - Завершить блок<br>
	<b>Insert comment</b> - Вставить комментарий <span class='green'>Comment</span>. Пассивный компонент, помогающий не запутатся в своём коде.<br>
	<b>Exit from script</b> - Тут всё просто - завершить выполнение скрипта<br>
	<b>Condition</b> - Выполнить условие <span class='green'>Operand 1</span> <span class='green'>Comparator(Equal - равно, Not equal - не равно, Less - меньше, Greater - больше)</span> <span class='green'>Operand 2</span>, и если оно истинно - то выполнить следующий блок кода<br>
	<b>Loop</b> - Выполнять некоторый код, пока условие <span class='green'>Operand 1</span> <span class='green'>Comparator(Equal - равно, Not equal - не равно, Less - меньше, Greater - больше)</span> <span class='green'>Operand 2</span> истинно(тут всё как с Condition)<br>
	<b>Counter</b> - Считать от <span class='green'>From</span> до <span class='green'>To</span> используя <span class='blue'>Variable</span> в качестве счётчика и выполняя следующий блок кода<br>
	
	<br>
	
	<b>Видео примеры</b><br><br>
	
	<iframe width="320" height="240" src="https://www.youtube.com/embed/h48YE6ALdPE" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
	
	<br><br>
	
	<b>Помощь:</b><br><br>
	В ближайшем будущем планируется полноценная документация по всем доступным нодам,
	и простые в изучении туториалы, помогающие понять, как просто писать программы в NodeStudio!
	
	<br><br>
	<a href='menu.php'>В меню</a><br>
	
	<?php	
	
	echo "</div>";
	
	include 'editor/foot.php';