<?php
	include 'compiler/Blueprint.php';
	include 'editor/ui.php';
	
	echo "<div class='content'>";
	
	echo "Библиотеки:<br>";
	echo "<div class='listbox'>";
	
	if(file_exists("libs/") && is_dir("libs/"))
	{
		$libs = scandir("libs/");
		$loadedLibs = explode("\n", file_get_contents("libs/libs.txt"));
		
		foreach($libs as $lib)
		{
			if(is_dir("libs/$lib") && file_exists("libs/$lib/libinfo.ini"))
			{
				$info = parse_ini_file("libs/$lib/libinfo.ini");
				$icon = file_exists("libs/$lib/icon.png") ? "<img src='libs/$lib/icon.png' />" : "";
				
				if($info)
				{
					$info["name"] = mb_convert_encoding($info["name"], "ascii");
					$official = isset($info["official"]) ? "<span style='color: red'>Официальный</span>" : "";
					$loaded = NodeLibraryList::isLibraryLoaded($lib) ? "Загружен" : "Не загружен";
					
					echo "<a class='listbox-item' href='libs.php?switch=$lib'>$icon $info[name]($info[author], $loaded, $official)</a>";
				}
			}
		}
		
		
	}
	
	echo "</div>";
	
	echo "<br><a href='menu.php'>В меню</a><br>";
	
	echo "</div>";
	
	include 'editor/foot.php';