<?php
	include 'editor/head.php';
	
	session_start();
	ob_start();
	
	class UI
	{
			
		// Callback 2 is function that will be called otherwise
		public static function handleForm($args, $callback, $callback2 = null, $a = null, $method = "GET")
		{
			if($method == "GET")
				$src = $_GET;
			else
				$src = $_POST;
			
			foreach($src as $k => $v)
				$src[str_replace("_", " ", $k)] = $v;
			
			foreach($args as $arg)
			{
				if(!isset($src[$arg]))
				{
					if(is_callable($callback2))
						$callback2();
					
					return false;
				}
			}
			
			$callback($src, $a);
			
			return true;
		}
		
		public static function selectFile($canCreate = true)
		{
			$f = isset($_GET["dir"]) && file_exists($_GET["dir"]) ? $_GET["dir"] : "./";
			
			if(is_file($f))
				return $f;
			
			if($canCreate)
			{
				UI::handleForm(array("fname"), function($args)
				{
					if(strlen($args["fname"]) > 0 && !file_exists($args["fname"]))
					{
						$bp = new Blueprint();
						$bp->save($args["fname"]);
					}
				});
			}
			
			echo "Выберите файл:";
			echo "<div class='listbox'>";
			
			$dir = scandir($f);
			$dir = array_splice($dir, 2);
			
			?>
			<a class="listbox-item" href="?dir=<?="./"?>"><img src="editor/img/dir.png" /> Домой</a>
			<a class="listbox-item" href="?dir=<?="$f/../"?>"><img src="editor/img/dir.png" /> Наверх</a>
			<?php
			
			foreach($dir as $file)
			{
				?>
				<a class="listbox-item" href="?dir=<?="$f/$file"?>"><img src="editor/img/<?=is_dir($file) ? "dir.png" : "file.png"?>" /> <?=$file?></a>
				<?php
			}
			
			echo "</div><br><br>";
			
			if($canCreate)
			{	
				?>
				<form method="GET" action="?">
					Имя файла:<br>
					<input type="hidden" name="dir" value="<?=$f?>" />
					<input name="fname" value="<?=$f?>" /><br><br>
					<input type="submit" value="Создать" />
				</form>
				<?php
			}
			
			return null;
		}
		
		public static function redirect($target)
		{
			header("Location: $target");
			
			exit;
		}
		
	}